FROM denoland/deno:latest

WORKDIR /app

EXPOSE 80

# allow-net for http server
# allow-env for env vars for configuration
# allow-read to read the static files for stops and trips
# allow-sys for neo4j I think
CMD ["deno", "run", "--allow-sys", "--allow-net", "--allow-env", "--allow-read", "index.ts"]

COPY . /app

RUN deno cache index.ts

